# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_LayeredItem Class Reference

`#include <StepVisual_LayeredItem.hxx>`

Inheritance diagram for StepVisual_LayeredItem:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_LayeredItem ()
| Returns a LayeredItem SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a LayeredItem Kind Entity that is : 1 -> PresentationRepresentation 2 -> RepresentationItem 0 else .
Standard_EXPORT Handle_StepVisual_PresentationRepresentation | PresentationRepresentation () const
| returns Value as a PresentationRepresentation (Null if another type)
Standard_EXPORT Handle_StepRepr_RepresentationItem | RepresentationItem () const
| returns Value as a RepresentationItem (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_LayeredItem::StepVisual_LayeredItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_LayeredItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_LayeredItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_LayeredItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_LayeredItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PresentationRepresentation StepVisual_LayeredItem::PresentationRepresentation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_RepresentationItem StepVisual_LayeredItem::RepresentationItem | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_LayeredItem.hxx